#include <iostream>

template<typename... Args>
void printAll(Args... args) {
    (std::cout << ... << args) << std::endl;  // Fold expression in C++17
}

int main() {
    printAll(1, 2.5, "Hello", 'A');  // Outputs: 1 2.5 Hello A
    return 0;
}

